/* calypso32.c */
extern const CALYPSO32SERVICES Calypso32Services;
extern const DEVICE Calypso32PlusDevice;
extern const DEVICE Calypso32Dual0Device;
extern const DEVICE Calypso32Dual1Device;
extern const WORD Calypso640x480[12];
extern const WORD Calypso768x576[12];
extern const WORD Calypso800x600[12];
extern const WORD Calypso1024x768[12];
extern BYTE InstallCalypso32Plus(const DEVICE *dev, WORD cfg, WORD base);
extern void CalypsoPlusISR1ms(void);
extern void Calypso0ISR1ms(void);
extern void Calypso1ISR1ms(void);
extern void CalypsoPlusISR(void);
extern void Calypso0ISR(void);
extern void Calypso1ISR(void);
extern void video_int(void);
extern void CalypsoInitDisplayMode(const DEVICE *dev, const WORD *reg_table);
extern void CalypsoVideoOn(const DEVICE *dev);
extern void CalypsoVideoOff(const DEVICE *dev);
extern UBYTE CalypsoGetVsync(const DEVICE *dev);
extern ULONG CalypsoSetVideoMemory(const DEVICE *dev, LONG video_addr, LONG size_bytes, BYTE color_mode, UWORD color);
extern LONG CalypsoInitLayer(const DEVICE *dev, LONG layer_select, BYTE color_mode, BYTE buffer_mode, WORD transparent_color, WORD width_pixels, WORD height, LONG start_address);
extern void CalypsoEnableLayer(const DEVICE *dev, UBYTE select);
extern void CalypsoDisableLayer(const DEVICE *dev, UBYTE select);
extern void CalypsoScrollLayerX(const DEVICE *dev, LONG layer_select, ULONG offset);
extern void CalypsoScrollLayerY(const DEVICE *dev, LONG layer_select, ULONG offset);
extern WORD CalypsoClearLayer(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame);
extern WORD CalypsoFillLayer(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame, UWORD color, LONG mode);
extern void CalypsoSetWindowLayer(const DEVICE *dev, WORD x_position, WORD y_position, WORD width, WORD height);
extern void CalypsoSetFrameRate(const DEVICE *dev, BYTE rate);
extern void CalypsoEnableDoubleBuffer(const DEVICE *dev);
extern void CalypsoDisableDoubleBuffer(const DEVICE *dev);
extern void CalypsoSetDoubleBufferFrame(const DEVICE *dev, BYTE frame);
extern BYTE CalypsoGetDoubleBufferFrame(const DEVICE *dev);
extern void CalypsoSetFrameNumber(const DEVICE *dev, WORD n);
extern WORD CalypsoGetFrameNumber(const DEVICE *dev);
extern void CalypsoFrameAdvance(const DEVICE *dev);
extern void CalypsoScreenPartitionX(const DEVICE *dev, WORD partition_xpos);
extern void CalypsoAlphaBlend(const DEVICE *dev, BYTE enable);
extern void CalypsoSetBlendRatio(const DEVICE *dev, BYTE blend_ratio, BYTE select);
extern void CalypsoLoadPalette(const DEVICE *dev, UBYTE palette_select, const PALETTE_RGB *pal_table);
extern void CalypsoGetPaletteEntry(const DEVICE *dev, UBYTE palette_select, UBYTE entry, PALETTE_RGB *rgb);
extern void CalypsoSetPaletteEntry(const DEVICE *dev, UBYTE palette_select, UBYTE entry, PALETTE_RGB *col);
extern LONG CalypsoLoadImage(const DEVICE *dev, LONG video_addr, const CALYPSOIMAGE *image);
extern LONG CalypsoCreateMask(const DEVICE *dev, const UWORD *startaddr, LONG offset, LONG size);
extern LONG CalypsoLoadImageConvert8to16(const DEVICE *dev, LONG video_addr, const CALYPSOIMAGE *image);
extern LONG CalypsoLoadImageLayer(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame, const CALYPSOIMAGE *image);
extern LONG CalypsoLoadImageLayerConvert8to16(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame, const CALYPSOIMAGE *image);
extern LONG CalypsoLoadSprite(const DEVICE *dev, LONG video_addr, const CALYPSOIMAGE *image);
extern WORD CalypsoPutSprite(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame, LONG x, LONG y, LONG image_start, LONG xsize, LONG ysize, LONG mode);
extern WORD CalypsoSaveSprite(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame, LONG x, LONG y, LONG save_address, LONG xsize, LONG ysize);
extern WORD CalypsoClearSprite(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame, LONG x, LONG y, LONG xsize, LONG ysize);
extern WORD CalypsoFillSprite(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame, LONG x, LONG y, LONG xsize, LONG ysize, UWORD color, LONG mode);
extern void CalypsoSetAsciiFont(const DEVICE *dev, const CALYPSOFONT *font);
extern void CalypsoSetUnicodeFont(const DEVICE *dev, const CALYPSOFONT *font, UWORD unicode_page);
extern CALYPSOFONT *CalypsoGetUnicodeFont(const DEVICE *dev, UWORD unicode_page);
extern WORD CalypsoSetTextColor(const DEVICE *dev, UWORD foreground_color, UWORD background_color);
extern void CalypsoSetTextPosition(const DEVICE *dev, LONG layer_select, WORD x, WORD y);
extern WORD CalypsoGetTextPositionX(const DEVICE *dev, LONG layer_select);
extern WORD CalypsoGetTextPositionY(const DEVICE *dev, LONG layer_select);
extern WORD CalypsoPutChar(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame, UBYTE input_ch);
extern WORD CalypsoPutStr(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame, BYTE *str);
extern WORD CalypsoPutUnicodeChar(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame, UWORD input_ch);
extern WORD CalypsoPutUnicodeStr(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame, UWORD *str);
extern void CalypsoPoint(const DEVICE *dev, LONG layer_select, LONG x, LONG y, UWORD color);
extern void CalypsoLine(const DEVICE *dev, LONG layer_select, LONG Ax, LONG Ay, LONG Bx, LONG By, UWORD color);
extern void CalypsoCircle(const DEVICE *dev, LONG layer_select, LONG xcentre, LONG ycentre, LONG radius, UBYTE color);
extern WORD CalypsoSetLineProperties(const DEVICE *dev, UBYTE width);
extern WORD CalypsoAdvanceLine(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame, LONG Ax, LONG Ay, LONG Bx, LONG By, UWORD color);
extern void CalypsoAdvanceSetLineAntiAlias(void);
extern void CalypsoAdvanceClearLineAntiAlias(void);
extern WORD CalypsoAdvanceRectangle(const DEVICE *dev, LONG layer_select, BYTE doublebuffer_frame, LONG left, LONG top, LONG right, LONG bottom, UWORD color);
extern void CalypsoDefineAnimation(const DEVICE *dev, ANIMATION *anim, LONG layer_select, UWORD n_frames, WORD x, WORD y, WORD dx, WORD dy, LONG image_start, LONG image_offset, WORD n_images, WORD image_index, LONG width, LONG height, BYTE type, LONG mode, LONG buffer1, LONG buffer2, void (*update)(ANIMATION *anim));
extern void CalypsoClearAnimationList(const DEVICE *dev);
extern WORD CalypsoAddToAnimationList(const DEVICE *dev, ANIMATION *anim);
extern WORD CalypsoRemoveFromAnimationList(const DEVICE *dev, ANIMATION *anim);
extern void CalypsoStartAnimation(const DEVICE *dev, ANIMATION *anim);
extern void CalypsoStopAnimation(const DEVICE *dev, ANIMATION *anim);
extern void CalypsoPauseAnimation(const DEVICE *dev, ANIMATION *anim);
extern void CalypsoStepAnimation(const DEVICE *dev, ANIMATION *anim);
extern WORD CalypsoGetDisplayHsize(const DEVICE *dev);
extern WORD CalypsoGetDisplayVsize(const DEVICE *dev);
extern void CalypsoSyncLockEnable(const DEVICE *dev, BYTE enable);
