/*-------------------------------------------------------------------
Name......... hardware.h
Author....... Marc Adams
Date......... 24/07/03
Description.. Header file for use of the hardware library
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

/*************************************************************************
Title........ hardware.h
Date......... Tue Jul 20 15:12:12  1999
Author....... J.M.Tarrant
*************************************************************************/

#ifndef HARDWARE_INCLUDE_ALL_MODULES
#define HARDWARE_INCLUDE_ALL_MODULES

    #include    "types.h"
    #include    "timermod.h"
    #include    "simmod.h"
    #include    "chipselect.h"
    #include    "dmamod.h"
    #include    "except.h"
    #include    "fpga.h"
    #include    "devmgr.h"
    #include    "devices.h"
    #include    "serialmod.h"
    #include    "drammod.h"
    #include    "serialfnc.h"
    #include    "outputdev.h"
    #include    "lamps.h"
    #include    "entry.p"
    #include    "vfd.h"
    #include    "vfd1.p"
    #include    "vfd2.p"
    #include    "mbusdev.h"
    #include    "pluto6.h"
    #include    "mxidev.h"
    #include    "duart.h"
    #include    "duart0.h"
    #include    "fpuart.h"
    #include    "fpuart0.h"
    #include    "fpuart1.h"
    #include    "pic18.h"
    #include    "ide.h"
    #include    "atadrv.h"
    #include    "cremregs.h"
    #include    "video.h"
    #include    "security.h"
    #include    "calypso32.h"
    #include	"rs485.h"

#endif
/************************************************************************/
