/*-------------------------------------------------------------------
Name......... outputdev.h
Author....... Marc Adams
Date......... 04/08/03
Description.. Header file for the outputs driver
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

#ifndef HARDWARE_OUTPUTDEV
#define HARDWARE_OUTPUTDEV

/****	Defines */

#define		EOF_OUTPUTS		-1
#define		DUM_OUTPUT		-2

#define		OP0		24
#define		OP1		25
#define		OP2		26
#define		OP3		27
#define		OP4		28
#define		OP5		29
#define		OP6		30
#define		OP7		31

#define		OP8		16
#define		OP9		17
#define		OP10	18
#define		OP11	19
#define		OP12	20
#define		OP13	21
#define		OP14	22
#define		OP15	23

#define		OP16	8
#define		OP17	9
#define		OP18	10
#define		OP19	11
#define		OP20	12
#define		OP21	13
#define		OP22	14
#define		OP23	15

#define		OP24	0
#define		OP25	1
#define		OP26	2
#define		OP27	3
#define		OP28	4
#define		OP29	5
#define		OP30	6
#define		OP31	7

#define		OP32	56
#define		OP33	57
#define		OP34	58
#define		OP35	59
#define		OP36	60
#define		OP37	61
#define		OP38	62
#define		OP39	63

#define		OP40	48
#define		OP41	49
#define		OP42	50
#define		OP43	51
#define		OP44	52
#define		OP45	53
#define		OP46	54
#define		OP47	55

#define		OP48	40
#define		OP49	41
#define		OP50	42
#define		OP51	43
#define		OP52	44
#define		OP53	45
#define		OP54	46
#define		OP55	47

#define		OP56	32
#define		OP57	33
#define		OP58	34
#define		OP59	35
#define		OP60	36
#define		OP61	37
#define		OP62	38
#define		OP63	39

/****	Type Definitions */

typedef	WORD OUTPUT;

typedef	struct outputmap
{
	LONG	map0;
	LONG	map1;
} OUTPUTMAP;

typedef	struct	outputconfig
{
	const	OUTPUT*	voplist;
} OUTPUTCFG;

typedef	struct	outputvars
{
	const	OUTPUTCFG*	config;
} OUTPUTVARS;

typedef	struct	outputzvars
{
	OUTPUTMAP	outputmap;
} OUTPUTZVARS;

typedef struct outputservices
{
	void	(*outputon)(const OUTPUT output);
	void	(*outputoff)(const OUTPUT output);
	void	(*writelownibble)(WORD index,BYTE data);
	void	(*writehighnibble)(WORD index,BYTE data);
} OUTPUTSERVICES;

/****	Prototypes */

#include	"outputdev.p"

#endif
/*******************************************************************/
