/*-------------------------------------------------------------------
Name......... timermod.h
Author....... Marc Adams
Date......... 01/08/03
Description.. Header file for the Coldfire Timer Module
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

#ifndef HARDWARE_TIMERMOD
#define HARDWARE_TIMERMOD

/****	Defines */

#define	TIMER1_BASE			MBAR+0x100
#define	TIMER1_MODE			REGWV(TIMER1_BASE+0x00)
#define	TIMER1_REFERENCE	REGWV(TIMER1_BASE+0x04)
#define TIMER1_COUNTER		REGWV(TIMER1_BASE+0x0c)
#define TIMER1_TER			REGBV(TIMER1_BASE+0x11)

#define	TIMER2_BASE			MBAR+0x120
#define	TIMER2_MODE			REGWV(TIMER2_BASE+0x00)
#define	TIMER2_REFERENCE	REGWV(TIMER2_BASE+0x04)
#define TIMER2_COUNTER		REGWV(TIMER2_BASE+0x0c)
#define TIMER2_TER			REGBV(TIMER2_BASE+0x11)


/****	Type Definitions */
/* timer configuration structure */
typedef	struct
{
	UWORD	tmr;
	UWORD	trr;
	UWORD	tcr;
} TIMERCFG;


/****	Prototypes */

	#include	"timermod.p"

#endif
/*************************************************************************/
