/* video.c */
extern LONG HSIZE;
extern LONG WORD_HSIZE;
extern LONG HPITCH;
extern LONG VSIZE;
extern LONG Video_Memory_Base;
extern WORD volatile screen_toggle_enable;
extern UBYTE blt_adjust_disable;
extern CALYPSO32LAYER Calypso32Layer[6];
extern const DEVICE Calypso32Device;
extern void InitDisplayMode(const WORD *register_table);
extern void init_calypso32(void);
extern void init_video(const WORD *mode, const RGB *palette);
extern void LoadPalette(const RGB *palette_table);
extern void SetPalette(UBYTE table_entry, RGB *colour);
extern void GetPalette(UBYTE table_entry, RGB *colour);
extern void LoadCPalette(const RGB *palette_table);
extern void GetCPalette(UBYTE entry, RGB *colour_table);
extern void SetCPalette(UBYTE entry, RGB *colour_table);
extern void LoadMBPalette(const RGB *palette_table);
extern void GetMBPalette(UBYTE entry, RGB *colour_table);
extern void SetMBPalette(UBYTE entry, RGB *colour_table);
extern void VideoOn(void);
extern void VideoOff(void);
extern void SetDisplayStart(ULONG screen_start_address);
extern void LoadFont(const ULONG *font);
extern void TextColour(UWORD foreground_colour, UWORD background_colour);
extern void SetCursor(WORD x, WORD y);
extern void VPutChar(UBYTE character);
extern void VPutStr(const BYTE *text_string);
extern void PutPixel(LONG screenbase, LONG x, LONG y, UWORD colour, LONG bytes_per_pixel);
extern UWORD GetPixel(LONG screenbase, LONG x, LONG y, LONG bytes_per_pixel);
extern void SaveBackground(LONG screenbase, LONG x, LONG y, LONG save_address, LONG xsize, LONG ysize, LONG bytes_per_pixel);
extern void RestoreBackground(LONG screenbase, LONG x, LONG y, LONG saveaddress, LONG xsize, LONG ysize, LONG bytes_per_pixel);
extern void PutSprite(LONG screenbase, LONG dest_x, LONG dest_y, LONG screen_width, LONG src_image_start, LONG src_xsize, LONG src_ysize, LONG mode, LONG bytes_per_pixel);
extern void Line(LONG screenbase, LONG Ax, LONG Ay, LONG Bx, LONG By, UWORD colour, LONG bytes_per_pixel);
extern void Circle(LONG screenbase, LONG xcentre, LONG ycentre, LONG radius, UWORD colour, LONG bytes_per_pixel);
extern void Rectangle(LONG screenbase, LONG left, LONG top, LONG right, LONG bottom, UWORD colour, LONG bytes_per_pixel);
extern LONG LoadSprite(const UBYTE *startaddr, LONG offset, LONG size, LONG bytes_per_pixel);
extern LONG LoadImage(const UBYTE *startaddr, LONG offset, LONG size);
extern LONG CreateMask(const UBYTE *startaddr, LONG offset, LONG size, LONG bytes_per_pixel);
extern void SetDoubleBuffer(LONG scrn0, LONG scrn1, BYTE rate);
extern BYTE ScreenFree(BYTE screen);
extern void ScreenToggle(WORD enable);
extern LONG GetScreen(BYTE screen);
extern void InitLayer(void *layer, BYTE colour_mode, BYTE flip_mode, WORD transparent_colour, WORD width, WORD height, LONG orig_adr0, LONG disp_adr0, LONG orig_adr1, LONG disp_adr1);
extern void SetWindowLayer(WORD xpos, WORD ypos, WORD width, WORD height);
extern void EnableLayer(UBYTE select);
extern void DisableLayer(UBYTE select);
extern void ScrollLayer(void *layer, ULONG xoff, ULONG yoff);
extern void ClearLayer(void *layer, BYTE screen, LONG width, LONG bytes_per_pixel);
extern void ClearArea(void *layer, BYTE screen, LONG x, LONG y, LONG xsize, LONG ysize, LONG bytes_per_pixel);
extern UBYTE Vsync(void);
extern void ClearBackground(LONG screenbase, LONG xsize, LONG ysize, LONG bytes_per_pixel);
extern void ClearSprite(LONG screenbase, LONG x, LONG y, LONG width, LONG xsize, LONG ysize, BYTE bytes_per_pixel);
extern void ScreenPartitionX(WORD x);
extern void InitDrawframe(WORD mode, LONG base, WORD xres);
extern UBYTE BltBusy(void);
extern void vertical_interrupt_handler(void);
extern void Calypso32_1ms(void);
extern void ClearVideoMemory(WORD color, ULONG offset, ULONG size);
extern void Clear16bitVideoMemory(UWORD colour, ULONG offset, ULONG size);
extern void calypso32_load_palette(RGB *start_address, ULONG palette_address);
extern LONG little_to_big_endian(ULONG le_value);
